<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="9532" systemVersion="15D21" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES">
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="9530"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="LoginViewController">
            <connections>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleAspectFit" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Tdr-oJ-D2D">
                    <rect key="frame" x="0.0" y="0.0" width="375" height="502"/>
                    <subviews>
                        <imageView userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" misplaced="YES" image="login_top" translatesAutoresizingMaskIntoConstraints="NO" id="gIO-Jz-jhA">
                            <rect key="frame" x="71" y="94" width="234" height="136"/>
                        </imageView>
                        <button opaque="NO" contentMode="scaleToFill" misplaced="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Drd-sW-LYv">
                            <rect key="frame" x="32" y="274" width="311" height="44"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="300" id="1bQ-Cb-7AQ"/>
                                <constraint firstAttribute="height" constant="44" id="YYQ-Ir-pJ1"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="22"/>
                            <state key="normal" title="注册" backgroundImage="rigist_btn_bg">
                                <color key="titleColor" red="0.97254901959999995" green="0.97254901959999995" blue="0.97254901959999995" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                            <variation key="default">
                                <mask key="constraints">
                                    <exclude reference="1bQ-Cb-7AQ"/>
                                </mask>
                            </variation>
                            <connections>
                                <action selector="rigistAction:" destination="-1" eventType="touchUpInside" id="Qaf-df-5Yo"/>
                            </connections>
                        </button>
                        <button opaque="NO" contentMode="scaleToFill" misplaced="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Te4-Rx-W0K">
                            <rect key="frame" x="32" y="348" width="311" height="44"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="300" id="do6-tj-oIb"/>
                                <constraint firstAttribute="height" constant="44" id="hO8-nY-x1O"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="22"/>
                            <state key="normal" title="登录" backgroundImage="login_btn">
                                <color key="titleColor" red="0.4823529411764706" green="0.76470588235294112" blue="0.14509803921568626" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                            <variation key="default">
                                <mask key="constraints">
                                    <exclude reference="do6-tj-oIb"/>
                                </mask>
                            </variation>
                            <connections>
                                <action selector="loginACtion:" destination="-1" eventType="touchUpInside" id="qwL-du-FXZ"/>
                            </connections>
                        </button>
                    </subviews>
                    <color key="backgroundColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                    <constraints>
                        <constraint firstItem="Te4-Rx-W0K" firstAttribute="leading" secondItem="Tdr-oJ-D2D" secondAttribute="leading" constant="32" id="34x-Qh-dnj"/>
                        <constraint firstItem="gIO-Jz-jhA" firstAttribute="leading" secondItem="Tdr-oJ-D2D" secondAttribute="leading" constant="67" id="3YX-cm-g6m"/>
                        <constraint firstItem="gIO-Jz-jhA" firstAttribute="centerX" secondItem="Tdr-oJ-D2D" secondAttribute="centerX" id="4OK-co-9J3"/>
                        <constraint firstAttribute="bottom" secondItem="gIO-Jz-jhA" secondAttribute="bottom" constant="280" id="G8x-w3-2bW"/>
                        <constraint firstItem="Te4-Rx-W0K" firstAttribute="top" secondItem="Drd-sW-LYv" secondAttribute="bottom" constant="30" id="KRj-Ju-bKK"/>
                        <constraint firstAttribute="trailing" secondItem="gIO-Jz-jhA" secondAttribute="trailing" constant="68" id="PFp-AF-Qmc"/>
                        <constraint firstItem="Drd-sW-LYv" firstAttribute="leading" secondItem="Tdr-oJ-D2D" secondAttribute="leading" constant="32" id="PpC-0t-1OP"/>
                        <constraint firstItem="Te4-Rx-W0K" firstAttribute="top" secondItem="Drd-sW-LYv" secondAttribute="bottom" constant="30" id="SJ5-Zw-k1A"/>
                        <constraint firstItem="gIO-Jz-jhA" firstAttribute="top" secondItem="Tdr-oJ-D2D" secondAttribute="top" constant="94" id="VUr-5i-RNg"/>
                        <constraint firstAttribute="trailing" secondItem="Drd-sW-LYv" secondAttribute="trailing" constant="32" id="Yvj-Ij-yee"/>
                        <constraint firstAttribute="trailing" secondItem="Te4-Rx-W0K" secondAttribute="trailing" constant="32" id="s7F-0h-8kx"/>
                        <constraint firstItem="Drd-sW-LYv" firstAttribute="top" secondItem="gIO-Jz-jhA" secondAttribute="bottom" constant="44" id="toG-Yd-KdR"/>
                    </constraints>
                    <variation key="default">
                        <mask key="constraints">
                            <exclude reference="3YX-cm-g6m"/>
                            <exclude reference="G8x-w3-2bW"/>
                            <exclude reference="PFp-AF-Qmc"/>
                            <exclude reference="KRj-Ju-bKK"/>
                        </mask>
                    </variation>
                </view>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="第三方帐号快速登录" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="A0v-gX-51g">
                    <rect key="frame" x="111" y="515" width="153" height="21"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="21" id="58L-Dk-Bgf"/>
                        <constraint firstAttribute="width" constant="153" id="aBN-Vp-aJ5"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                    <color key="textColor" red="0.60000002379999995" green="0.60000002379999995" blue="0.60000002379999995" alpha="1" colorSpace="calibratedRGB"/>
                    <nil key="highlightedColor"/>
                </label>
                <button opaque="NO" contentMode="scaleAspectFit" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="z3d-I1-xgq">
                    <rect key="frame" x="56" y="569" width="46" height="44"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="44" id="KxF-6a-zN9"/>
                        <constraint firstAttribute="width" constant="46" id="S3m-fs-xpt"/>
                        <constraint firstAttribute="height" constant="44" id="dAV-9a-8ez"/>
                        <constraint firstAttribute="width" constant="46" id="fDN-v7-yl4"/>
                    </constraints>
                    <state key="normal" backgroundImage="qq"/>
                    <variation key="default">
                        <mask key="constraints">
                            <exclude reference="dAV-9a-8ez"/>
                            <exclude reference="fDN-v7-yl4"/>
                        </mask>
                    </variation>
                    <connections>
                        <action selector="toTencentLogin:" destination="-1" eventType="touchUpInside" id="rUM-wZ-v0N"/>
                    </connections>
                </button>
                <button opaque="NO" contentMode="scaleAspectFit" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="MLu-aw-fed">
                    <rect key="frame" x="164" y="569" width="46" height="44"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="44" id="8gK-Qk-xIj"/>
                        <constraint firstAttribute="width" constant="46" id="WUh-lF-P0E"/>
                    </constraints>
                    <state key="normal" backgroundImage="weichat"/>
                    <connections>
                        <action selector="toWeiChatLogin:" destination="-1" eventType="touchUpInside" id="1Pg-O6-y4K"/>
                    </connections>
                </button>
                <button opaque="NO" contentMode="scaleAspectFit" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="GKk-w1-UAd">
                    <rect key="frame" x="272" y="569" width="46" height="44"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="44" id="83t-5K-vGR"/>
                        <constraint firstAttribute="height" constant="44" id="CcX-Ep-lCe"/>
                        <constraint firstAttribute="width" constant="46" id="EXs-9P-oSU"/>
                        <constraint firstAttribute="width" constant="46" id="XqQ-p4-qLl"/>
                    </constraints>
                    <state key="normal" backgroundImage="weibo"/>
                    <variation key="default">
                        <mask key="constraints">
                            <exclude reference="83t-5K-vGR"/>
                            <exclude reference="EXs-9P-oSU"/>
                        </mask>
                    </variation>
                    <connections>
                        <action selector="toWeiboLogin:" destination="-1" eventType="touchUpInside" id="0b5-6m-5s1"/>
                    </connections>
                </button>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="QQ" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="E1p-ul-InX">
                    <rect key="frame" x="66" y="622" width="26" height="21"/>
                    <constraints>
                        <constraint firstAttribute="width" constant="26" id="1vr-DA-7x5"/>
                        <constraint firstAttribute="height" constant="21" id="Jor-e5-QXe"/>
                        <constraint firstAttribute="height" constant="21" id="Ncr-bn-oT8"/>
                        <constraint firstAttribute="width" constant="26" id="ngK-7b-A0u"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                    <color key="textColor" red="0.60000002379999995" green="0.60000002379999995" blue="0.60000002379999995" alpha="1" colorSpace="calibratedRGB"/>
                    <nil key="highlightedColor"/>
                    <variation key="default">
                        <mask key="constraints">
                            <exclude reference="Ncr-bn-oT8"/>
                            <exclude reference="ngK-7b-A0u"/>
                        </mask>
                    </variation>
                </label>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="微信" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="vxe-nV-WAB">
                    <rect key="frame" x="170" y="622" width="34" height="21"/>
                    <constraints>
                        <constraint firstAttribute="width" constant="34" id="828-gq-N0J"/>
                        <constraint firstAttribute="height" constant="21" id="bhl-bY-2Y6"/>
                        <constraint firstAttribute="width" constant="34" id="hrS-zQ-mEC"/>
                        <constraint firstAttribute="height" constant="21" id="ukA-WO-5Bg"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                    <color key="textColor" red="0.60000002379999995" green="0.60000002379999995" blue="0.60000002379999995" alpha="1" colorSpace="calibratedRGB"/>
                    <nil key="highlightedColor"/>
                    <variation key="default">
                        <mask key="constraints">
                            <exclude reference="828-gq-N0J"/>
                            <exclude reference="ukA-WO-5Bg"/>
                        </mask>
                    </variation>
                </label>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="微博" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="EFc-h1-o5h">
                    <rect key="frame" x="278" y="622" width="34" height="21"/>
                    <constraints>
                        <constraint firstAttribute="width" constant="34" id="MyB-Bb-qUt"/>
                        <constraint firstAttribute="width" relation="greaterThanOrEqual" constant="34" id="bV1-Mq-qDM"/>
                        <constraint firstAttribute="height" relation="greaterThanOrEqual" constant="21" id="gKq-uX-NXj"/>
                        <constraint firstAttribute="height" constant="21" id="nb7-Xe-olk"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                    <color key="textColor" red="0.60000002379999995" green="0.60000002379999995" blue="0.60000002379999995" alpha="1" colorSpace="calibratedRGB"/>
                    <nil key="highlightedColor"/>
                </label>
            </subviews>
            <color key="backgroundColor" red="0.97254901960784312" green="0.97254901960784312" blue="0.97254901960784312" alpha="1" colorSpace="calibratedRGB"/>
            <constraints>
                <constraint firstItem="GKk-w1-UAd" firstAttribute="centerY" secondItem="i5M-Pr-FkT" secondAttribute="centerY" id="4TN-HR-g13"/>
                <constraint firstAttribute="bottom" secondItem="MLu-aw-fed" secondAttribute="bottom" constant="54" id="4jN-2c-CVi"/>
                <constraint firstAttribute="trailing" secondItem="GKk-w1-UAd" secondAttribute="trailing" constant="57" id="5dv-nG-FaM"/>
                <constraint firstItem="MLu-aw-fed" firstAttribute="leading" secondItem="i5M-Pr-FkT" secondAttribute="leading" constant="164" id="7ma-qK-w4b"/>
                <constraint firstItem="GKk-w1-UAd" firstAttribute="centerY" secondItem="MLu-aw-fed" secondAttribute="centerY" id="8jX-35-sAu"/>
                <constraint firstItem="MLu-aw-fed" firstAttribute="centerX" secondItem="i5M-Pr-FkT" secondAttribute="centerX" id="AWk-Gz-JDf"/>
                <constraint firstItem="E1p-ul-InX" firstAttribute="top" secondItem="z3d-I1-xgq" secondAttribute="bottom" constant="9" id="AY2-QE-4xl"/>
                <constraint firstItem="Tdr-oJ-D2D" firstAttribute="leading" secondItem="i5M-Pr-FkT" secondAttribute="leading" id="DYD-Ch-DRO"/>
                <constraint firstItem="A0v-gX-51g" firstAttribute="top" secondItem="Tdr-oJ-D2D" secondAttribute="bottom" constant="13" id="Dr6-FK-X9t"/>
                <constraint firstAttribute="trailing" secondItem="Tdr-oJ-D2D" secondAttribute="trailing" id="GGf-qF-S59"/>
                <constraint firstAttribute="bottom" secondItem="E1p-ul-InX" secondAttribute="bottom" constant="24" id="HMT-LN-7NX"/>
                <constraint firstItem="z3d-I1-xgq" firstAttribute="leading" secondItem="i5M-Pr-FkT" secondAttribute="leading" constant="56" id="HQS-PD-8iP"/>
                <constraint firstItem="EFc-h1-o5h" firstAttribute="top" secondItem="GKk-w1-UAd" secondAttribute="bottom" constant="9" id="Hlj-jd-0wS"/>
                <constraint firstItem="MLu-aw-fed" firstAttribute="leading" secondItem="z3d-I1-xgq" secondAttribute="trailing" constant="62" id="IPJ-ja-0Wf"/>
                <constraint firstAttribute="bottom" secondItem="vxe-nV-WAB" secondAttribute="bottom" constant="24" id="LnC-cM-gzb"/>
                <constraint firstItem="EFc-h1-o5h" firstAttribute="leading" secondItem="vxe-nV-WAB" secondAttribute="trailing" constant="74" id="MdR-mL-ooB"/>
                <constraint firstItem="E1p-ul-InX" firstAttribute="top" secondItem="z3d-I1-xgq" secondAttribute="bottom" constant="14" id="Mj3-EH-xeh"/>
                <constraint firstItem="vxe-nV-WAB" firstAttribute="top" secondItem="MLu-aw-fed" secondAttribute="bottom" constant="9" id="N9Z-BG-ZjV"/>
                <constraint firstItem="A0v-gX-51g" firstAttribute="centerX" secondItem="i5M-Pr-FkT" secondAttribute="centerX" id="NNV-Qk-Iaj"/>
                <constraint firstItem="vxe-nV-WAB" firstAttribute="leading" secondItem="E1p-ul-InX" secondAttribute="trailing" constant="74" id="Nfl-d1-cFc"/>
                <constraint firstItem="vxe-nV-WAB" firstAttribute="top" secondItem="MLu-aw-fed" secondAttribute="bottom" constant="9" id="PzI-C4-ZQN"/>
                <constraint firstItem="E1p-ul-InX" firstAttribute="centerX" secondItem="z3d-I1-xgq" secondAttribute="centerX" id="Rxt-as-dTo"/>
                <constraint firstItem="EFc-h1-o5h" firstAttribute="top" secondItem="GKk-w1-UAd" secondAttribute="bottom" constant="9" id="USh-6Q-jcN"/>
                <constraint firstAttribute="bottom" secondItem="GKk-w1-UAd" secondAttribute="bottom" constant="54" id="XAF-PG-VgT"/>
                <constraint firstItem="EFc-h1-o5h" firstAttribute="leading" secondItem="vxe-nV-WAB" secondAttribute="trailing" constant="74" id="ZOA-Fp-P5j"/>
                <constraint firstItem="EFc-h1-o5h" firstAttribute="centerX" secondItem="GKk-w1-UAd" secondAttribute="centerX" id="Zyh-re-w8J"/>
                <constraint firstAttribute="bottom" secondItem="z3d-I1-xgq" secondAttribute="bottom" constant="59" id="aMk-ck-77o"/>
                <constraint firstItem="z3d-I1-xgq" firstAttribute="centerY" secondItem="i5M-Pr-FkT" secondAttribute="centerY" id="cO6-rU-Cbm"/>
                <constraint firstItem="MLu-aw-fed" firstAttribute="top" secondItem="A0v-gX-51g" secondAttribute="bottom" constant="33" id="cU6-qJ-YEH"/>
                <constraint firstAttribute="trailing" secondItem="MLu-aw-fed" secondAttribute="trailing" constant="165" id="gQE-g2-4Qi"/>
                <constraint firstAttribute="bottom" secondItem="MLu-aw-fed" secondAttribute="bottom" constant="54" id="jWy-jW-3T4"/>
                <constraint firstAttribute="bottom" secondItem="Tdr-oJ-D2D" secondAttribute="bottom" constant="165" id="jeE-NK-LAe"/>
                <constraint firstItem="A0v-gX-51g" firstAttribute="leading" secondItem="i5M-Pr-FkT" secondAttribute="leading" constant="111" id="n7u-3l-exd"/>
                <constraint firstItem="GKk-w1-UAd" firstAttribute="top" secondItem="Tdr-oJ-D2D" secondAttribute="bottom" constant="67" id="neD-3Z-NAl"/>
                <constraint firstItem="vxe-nV-WAB" firstAttribute="top" secondItem="MLu-aw-fed" secondAttribute="bottom" constant="9" id="p4C-h9-Fps"/>
                <constraint firstItem="GKk-w1-UAd" firstAttribute="leading" secondItem="MLu-aw-fed" secondAttribute="trailing" constant="62" id="pMe-O0-JMD"/>
                <constraint firstItem="z3d-I1-xgq" firstAttribute="top" secondItem="Tdr-oJ-D2D" secondAttribute="bottom" constant="62" id="tG9-qm-96H"/>
                <constraint firstItem="MLu-aw-fed" firstAttribute="centerY" secondItem="i5M-Pr-FkT" secondAttribute="centerY" id="vdU-Rr-sZE"/>
                <constraint firstAttribute="trailing" secondItem="A0v-gX-51g" secondAttribute="trailing" constant="111" id="vpe-zq-N6M"/>
                <constraint firstItem="Tdr-oJ-D2D" firstAttribute="top" secondItem="i5M-Pr-FkT" secondAttribute="top" id="w7J-cs-dGx"/>
                <constraint firstItem="vxe-nV-WAB" firstAttribute="centerX" secondItem="i5M-Pr-FkT" secondAttribute="centerX" id="wJ9-bJ-9wK"/>
                <constraint firstItem="MLu-aw-fed" firstAttribute="centerY" secondItem="z3d-I1-xgq" secondAttribute="centerY" id="xD4-pN-cGr"/>
                <constraint firstItem="E1p-ul-InX" firstAttribute="leading" secondItem="i5M-Pr-FkT" secondAttribute="leading" constant="66" id="xjb-qf-305"/>
            </constraints>
            <simulatedScreenMetrics key="simulatedDestinationMetrics" type="retina47"/>
            <variation key="default">
                <mask key="constraints">
                    <exclude reference="n7u-3l-exd"/>
                    <exclude reference="vpe-zq-N6M"/>
                    <exclude reference="aMk-ck-77o"/>
                    <exclude reference="cO6-rU-Cbm"/>
                    <exclude reference="tG9-qm-96H"/>
                    <exclude reference="4jN-2c-CVi"/>
                    <exclude reference="7ma-qK-w4b"/>
                    <exclude reference="IPJ-ja-0Wf"/>
                    <exclude reference="cU6-qJ-YEH"/>
                    <exclude reference="gQE-g2-4Qi"/>
                    <exclude reference="vdU-Rr-sZE"/>
                    <exclude reference="HMT-LN-7NX"/>
                    <exclude reference="Mj3-EH-xeh"/>
                    <exclude reference="xjb-qf-305"/>
                    <exclude reference="4TN-HR-g13"/>
                    <exclude reference="XAF-PG-VgT"/>
                    <exclude reference="neD-3Z-NAl"/>
                    <exclude reference="pMe-O0-JMD"/>
                    <exclude reference="LnC-cM-gzb"/>
                    <exclude reference="Nfl-d1-cFc"/>
                    <exclude reference="PzI-C4-ZQN"/>
                    <exclude reference="p4C-h9-Fps"/>
                    <exclude reference="Hlj-jd-0wS"/>
                    <exclude reference="MdR-mL-ooB"/>
                    <exclude reference="ZOA-Fp-P5j"/>
                </mask>
            </variation>
            <point key="canvasLocation" x="-274.5" y="263.5"/>
        </view>
    </objects>
    <resources>
        <image name="login_btn" width="490" height="65"/>
        <image name="login_top" width="234" height="136"/>
        <image name="qq" width="45" height="43"/>
        <image name="rigist_btn_bg" width="490" height="65"/>
        <image name="weibo" width="61" height="48"/>
        <image name="weichat" width="63" height="49"/>
    </resources>
</document>
